This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 495052 - (CVE-2009-1186) CVE-2009-1186 udev: Buffer overflow in path encoding routine
CVE-2009-1186 udev: Buffer overflow in path encoding routine
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
source=vendorsec,public=20090415,impa...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 09:09 EDT by Jan Lieskovsky
Modified: 2009-04-17 11:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-17 11:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 4 Jan Lieskovsky 2009-04-15 14:49:51 EDT
A buffer overflow flaw was found in one of the routines providing path
encoding in the udev package. An attacker could use this flaw to cause
a denial of service by providing a specially-crafted arguments
as input to this routine.
Comment 7 Fedora Update System 2009-04-16 02:52:18 EDT
udev-124-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/udev-124-4.fc9
Comment 8 Fedora Update System 2009-04-16 12:54:22 EDT
udev-124-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-04-16 12:54:32 EDT
udev-127-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Tomas Hoger 2009-04-17 11:58:16 EDT
This issue did not affect the versions of udev as shipped with Red Hat Enterprise Linux 4 and 5.  Issue was fixed upstream in version 141.

Note You need to log in before you can comment on or make changes to this bug.